Package org.apache.storm.daemon.nimbus

# Class TopologyResources

java.lang.Object
org.apache.storm.daemon.nimbus.TopologyResources

public final class TopologyResources extends Object

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `TopologyResources()`
  `protected`
  `TopologyResources(double requestedMemOnHeap, double requestedMemOffHeap, double requestedSharedMemOnHeap, double requestedSharedMemOffHeap, double requestedNonSharedMemOnHeap, double requestedNonSharedMemOffHeap, double requestedCpu, Map<String,Double> requestedGenericResources, double assignedMemOnHeap, double assignedMemOffHeap, double assignedSharedMemOnHeap, double assignedSharedMemOffHeap, double assignedNonSharedMemOnHeap, double assignedNonSharedMemOffHeap, double assignedCpu, Map<String,Double> assignedGenericResources)`
  ``
  `TopologyResources(TopologyDetails td, Assignment assignment)`
  ``
  `TopologyResources(TopologyDetails td, SchedulerAssignment assignment)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TopologyResources`
  `add(TopologyResources other)`
  Add the values in other to this and return a combined resources object.
  `double`
  `getAssignedCpu()`
  `Map<String,Double>`
  `getAssignedGenericResources()`
  `double`
  `getAssignedMemOffHeap()`
  `double`
  `getAssignedMemOnHeap()`
  `double`
  `getAssignedNonSharedMemOffHeap()`
  `double`
  `getAssignedNonSharedMemOnHeap()`
  `double`
  `getAssignedSharedMemOffHeap()`
  `double`
  `getAssignedSharedMemOnHeap()`
  `double`
  `getRequestedCpu()`
  `Map<String,Double>`
  `getRequestedGenericResources()`
  `double`
  `getRequestedMemOffHeap()`
  `double`
  `getRequestedMemOnHeap()`
  `double`
  `getRequestedNonSharedMemOffHeap()`
  `double`
  `getRequestedNonSharedMemOnHeap()`
  `double`
  `getRequestedSharedMemOffHeap()`
  `double`
  `getRequestedSharedMemOnHeap()`
  `void`
  `setAssignedCpu(double assignedCpu)`
  `void`
  `setAssignedMemOffHeap(double assignedMemOffHeap)`
  `void`
  `setAssignedMemOnHeap(double assignedMemOnHeap)`
  `void`
  `setAssignedNonSharedMemOffHeap(double assignedNonSharedMemOffHeap)`
  `void`
  `setAssignedNonSharedMemOnHeap(double assignedNonSharedMemOnHeap)`
  `void`
  `setAssignedSharedMemOffHeap(double assignedSharedMemOffHeap)`
  `void`
  `setAssignedSharedMemOnHeap(double assignedSharedMemOnHeap)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TopologyResources

    public TopologyResources(TopologyDetails td, SchedulerAssignment assignment)

  - ### TopologyResources

    public TopologyResources(TopologyDetails td, Assignment assignment)

  - ### TopologyResources

    public TopologyResources()

  - ### TopologyResources

    protected TopologyResources(double requestedMemOnHeap, double requestedMemOffHeap, double requestedSharedMemOnHeap, double requestedSharedMemOffHeap, double requestedNonSharedMemOnHeap, double requestedNonSharedMemOffHeap, double requestedCpu, Map<String,Double> requestedGenericResources, double assignedMemOnHeap, double assignedMemOffHeap, double assignedSharedMemOnHeap, double assignedSharedMemOffHeap, double assignedNonSharedMemOnHeap, double assignedNonSharedMemOffHeap, double assignedCpu, Map<String,Double> assignedGenericResources)

- ## Method Details

  - ### getRequestedMemOnHeap

    public double getRequestedMemOnHeap()

  - ### getRequestedMemOffHeap

    public double getRequestedMemOffHeap()

  - ### getRequestedCpu

    public double getRequestedCpu()

  - ### getAssignedMemOnHeap

    public double getAssignedMemOnHeap()

  - ### setAssignedMemOnHeap

    public void setAssignedMemOnHeap(double assignedMemOnHeap)

  - ### getAssignedMemOffHeap

    public double getAssignedMemOffHeap()

  - ### setAssignedMemOffHeap

    public void setAssignedMemOffHeap(double assignedMemOffHeap)

  - ### getAssignedCpu

    public double getAssignedCpu()

  - ### setAssignedCpu

    public void setAssignedCpu(double assignedCpu)

  - ### getAssignedSharedMemOnHeap

    public double getAssignedSharedMemOnHeap()

  - ### setAssignedSharedMemOnHeap

    public void setAssignedSharedMemOnHeap(double assignedSharedMemOnHeap)

  - ### getRequestedSharedMemOnHeap

    public double getRequestedSharedMemOnHeap()

  - ### getRequestedSharedMemOffHeap

    public double getRequestedSharedMemOffHeap()

  - ### getRequestedNonSharedMemOnHeap

    public double getRequestedNonSharedMemOnHeap()

  - ### getRequestedNonSharedMemOffHeap

    public double getRequestedNonSharedMemOffHeap()

  - ### getAssignedSharedMemOffHeap

    public double getAssignedSharedMemOffHeap()

  - ### setAssignedSharedMemOffHeap

    public void setAssignedSharedMemOffHeap(double assignedSharedMemOffHeap)

  - ### getAssignedNonSharedMemOnHeap

    public double getAssignedNonSharedMemOnHeap()

  - ### setAssignedNonSharedMemOnHeap

    public void setAssignedNonSharedMemOnHeap(double assignedNonSharedMemOnHeap)

  - ### getAssignedNonSharedMemOffHeap

    public double getAssignedNonSharedMemOffHeap()

  - ### setAssignedNonSharedMemOffHeap

    public void setAssignedNonSharedMemOffHeap(double assignedNonSharedMemOffHeap)

  - ### getAssignedGenericResources

    public Map<String,Double> getAssignedGenericResources()

  - ### getRequestedGenericResources

    public Map<String,Double> getRequestedGenericResources()

  - ### add

    public TopologyResources add(TopologyResources other)
    Add the values in other to this and return a combined resources object.
    Parameters:
      `other` - the other resources to add to this
    Returns:
      the combined resources with the sum of the values in each.